Debian Bug report logs - #330256
delete obsolescent not-locally-changed conffiles

Package: dpkg; Maintainer for dpkg is Dpkg Developers <debian-dpkg@lists.debian.org>; Source for dpkg is src:dpkg.

Reported by: Anton Zinoviev <anton@lml.bas.bg>

Date: Sun, 25 Sep 2005 19:03:04 UTC

Severity: normal

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#330078; Package tetex-bin. Full text and rfc822 format available.

Acknowledgement sent to Anton Zinoviev <anton@lml.bas.bg>:
New Bug report received and forwarded. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Anton Zinoviev <anton@lml.bas.bg>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: latex points to etex, not to tex
Date: Sun, 25 Sep 2005 21:57:43 +0300
Package: tetex-bin
Version: 2.0.2-31
Severity: important

In order to update my pacage scalable-cyrfonts-tex for teTeX 3 I
installed the version from experimental.  However tetex-extra is
missing there so later I downgraded my packages to the version from
etch and sid.  When I tried to use latex I got:

$ latex test.tex 
This is e-TeX, Version 3.14159-2.1 (Web2C 7.4.5)
(Fatal format file error; I'm stymied)

I don't use latex very often and I don't know whether this was caused
by installing the packages from experimental.  I purged the packages
tetex-bin, tetex-base and tetex-extra and then reinstalled them but
the situation didn't improve.  Finally I found that the latex is a
symlink to etex, I changed it by hands to point to tex and now my
latex works.

Even if the probem was caused by installing experimental packages,
purging tetex-* packages had to fix the problem.  Thats why I am
reporting the bug against the versions from etch and sid.

Anton Zinoviev

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.4.27
Locale: LANG=bg_BG.UTF-8, LC_CTYPE=bg_BG.UTF-8 (charmap=UTF-8)

Versions of packages tetex-bin depends on:
ii  debconf                   1.4.58         Debian configuration management sy
ii  debianutils               2.14.3         Miscellaneous utilities specific t
ii  dpkg                      1.13.11        package maintenance system for Deb
ii  ed                        0.2-20         The classic unix line editor
ii  libc6                     2.3.5-6        GNU C Library: Shared libraries an
ii  libgcc1                   1:4.0.1-2      GCC support library
ii  libice6                   6.8.2.dfsg.1-7 Inter-Client Exchange library
ii  libkpathsea3              2.0.2-31       path search library for teTeX (run
ii  libpaper1                 1.1.14-3       Library for handling paper charact
ii  libpng12-0                1.2.8rel-1     PNG library - runtime
ii  libsm6                    6.8.2.dfsg.1-7 X Window System Session Management
ii  libstdc++6                4.0.1-2        The GNU Standard C++ Library v3
ii  libt1-5                   5.1.0-2        Type 1 font rasterizer library - r
ii  libwww0                   5.4.0-9        The W3C WWW library
ii  libx11-6                  6.8.2.dfsg.1-7 X Window System protocol client li
ii  libxaw7                   6.8.2.dfsg.1-7 X Athena widget set library
ii  libxext6                  6.8.2.dfsg.1-7 X Window System miscellaneous exte
ii  libxmu6                   6.8.2.dfsg.1-7 X Window System miscellaneous util
ii  libxt6                    6.8.2.dfsg.1-7 X Toolkit Intrinsics
ii  mime-support              3.35-1         MIME files 'mime.types' & 'mailcap
ii  perl                      5.8.7-3        Larry Wall's Practical Extraction 
ii  sed                       4.1.4-2        The GNU sed stream editor
ii  tetex-base                2.0.2c-8       Basic library files of teTeX
ii  ucf                       2.001          Update Configuration File: preserv
ii  xlibs                     6.8.2.dfsg.1-7 X Window System client libraries m
ii  zlib1g                    1:1.2.3-4      compression library - runtime

Versions of packages tetex-bin recommends:
ii  dialog                    1.0-20050911-1 Displays user-friendly dialog boxe
ii  perl-tk                   1:800.025-2    Perl module providing the Tk graph
ii  psutils                   1.17-17        A collection of PostScript documen
ii  texi2html                 1.76-2         Convert Texinfo files to HTML
ii  whiptail                  0.51.6-30      Displays user-friendly dialog boxe

-- debconf information:
  tetex-bin/upd_map: true
  tetex-bin/cnf_name:
  tetex-bin/fmtutil: true
  tetex-bin/fmtutil-failed:
  tetex-bin/userperm: false
  tetex-bin/updmap-failed:
  tetex-bin/hyphen: french[=patois], ngerman[=naustrian-neue_Rechtschreibung]
  tetex-bin/oldcfg: true
  tetex-bin/use_debconf: false
  tetex-bin/groupname: users
  tetex-bin/groupperm: true
  tetex-bin/lsr-perms: true



Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#330078; Package tetex-bin. Full text and rfc822 format available.

Acknowledgement sent to Hilmar Preusse <hille42@web.de>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 330078@bugs.debian.org (full text, mbox):

From: Hilmar Preusse <hille42@web.de>
To: Anton Zinoviev <anton@lml.bas.bg>, 330078@bugs.debian.org
Subject: Re: Bug#330078: latex points to etex, not to tex
Date: Mon, 26 Sep 2005 12:13:03 +0200
On 25.09.05 Anton Zinoviev (anton@lml.bas.bg) wrote:

Hi,

> In order to update my pacage scalable-cyrfonts-tex for teTeX 3 I
> installed the version from experimental.  However tetex-extra is
> missing there so later I downgraded my packages to the version from
> etch and sid.  When I tried to use latex I got:
> 
> $ latex test.tex 
> This is e-TeX, Version 3.14159-2.1 (Web2C 7.4.5)
> (Fatal format file error; I'm stymied)
> 
> I don't use latex very often and I don't know whether this was
> caused by installing the packages from experimental.  I purged the
> packages tetex-bin, tetex-base and tetex-extra and then reinstalled
> them but the situation didn't improve.  Finally I found that the
> latex is a symlink to etex, I changed it by hands to point to tex
> and now my latex works.
> 
This is intended:

 tetex-bin  (2.0.2-17) unstable; urgency=high

   * We now use e-TeX (and pdfe-TeX) as our basic engines for
     (pdf)LaTeX.  See NEWS.Debian for details. Many thanks to Hilmar
     for this.  [frank]

 -- Frank Küster <frank@debian.org>  Mon, 2 Aug 2004 17:34:23 +0200 

What does "grep latex /etc/texmf/texmf.cnf" and
"grep latex /etc/texmf/texmf.d" tell you? Did you modify your
/etc/texmf/texmf.cnf manually?

H.
-- 
sigmentation fault



Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#330078; Package tetex-bin. Full text and rfc822 format available.

Acknowledgement sent to Anton Zinoviev <anton@lml.bas.bg>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 330078@bugs.debian.org (full text, mbox):

From: Anton Zinoviev <anton@lml.bas.bg>
To: Hilmar Preusse <hille42@web.de>
Cc: 330078@bugs.debian.org
Subject: Re: Bug#330078: latex points to etex, not to tex
Date: Mon, 26 Sep 2005 13:49:21 +0300
On Mon, Sep 26, 2005 at 12:13:03PM +0200, Hilmar Preusse wrote:
> 
> What does "grep latex /etc/texmf/texmf.cnf" and
> "grep latex /etc/texmf/texmf.d" tell you?

$ grep latex /etc/texmf/texmf.cnf
% LaTeX 2e specific macros are stored in latex/, macros that can only be
% used with 2.09 in latex209/.  In addition, we look in the directory
% latex209, useful for macros that were written for 2.09 and do not
TEXINPUTS.cslatex = .;$TEXMF/tex/{cslatex,csplain,latex,generic,}//
TEXINPUTS.platex  = .;$TEXMF/tex/{platex,latex,generic,}//
TEXINPUTS.latex = .;$TEXMF/tex/{latex,generic,}//
TEXINPUTS.latex209 = .;$TEXMF/tex/{latex209,generic,latex,}//
TEXINPUTS.frlatex = .;$TEXMF/{mltex,tex}/{french,latex,generic,}//
TEXINPUTS.mllatex = .;$TEXMF/{mltex,tex}/{latex,generic,}//
TEXINPUTS.elatex   = .;$TEXMF/{etex,tex}/{latex,generic,}//
TEXINPUTS.pdfcslatex = .;$TEXMF/{pdftex,tex}/{cslatex,csplain,latex,generic,}//
TEXINPUTS.pdflatex = .;$TEXMF/{pdftex,tex}/{latex,generic,}//
TEXINPUTS.pdfelatex = .;$TEXMF/{pdfetex,pdftex,etex,tex}/{latex,generic,}//
TEXINPUTS.lambda = .;$TEXMF/{omega,tex}/{lambda,latex,generic,}//
TEXINPUTS.platex-pl  = .;$TEXMF/tex/{platex,latex,generic,}//
TEXINPUTS.pdfplatex = .;$TEXMF/{pdftex,tex}/{platex,latex,generic,}//
$ rgrep latex /etc/texmf/texmf.d
/etc/texmf/texmf.d/45TeXinputs.cnf:% LaTeX 2e specific macros are stored in latex/, macros that can only be
/etc/texmf/texmf.d/45TeXinputs.cnf:% used with 2.09 in latex209/.  In addition, we look in the directory
/etc/texmf/texmf.d/45TeXinputs.cnf:% latex209, useful for macros that were written for 2.09 and do not
/etc/texmf/texmf.d/45TeXinputs.cnf:TEXINPUTS.cslatex = .;$TEXMF/tex/{cslatex,csplain,latex,generic,}//
/etc/texmf/texmf.d/45TeXinputs.cnf:TEXINPUTS.platex  = .;$TEXMF/tex/{platex,latex,generic,}//
/etc/texmf/texmf.d/45TeXinputs.cnf:TEXINPUTS.latex = .;$TEXMF/tex/{latex,generic,}//
/etc/texmf/texmf.d/45TeXinputs.cnf:TEXINPUTS.latex209 = .;$TEXMF/tex/{latex209,generic,latex,}//
/etc/texmf/texmf.d/45TeXinputs.cnf:TEXINPUTS.frlatex = .;$TEXMF/{mltex,tex}/{french,latex,generic,}//
/etc/texmf/texmf.d/45TeXinputs.cnf:TEXINPUTS.mllatex = .;$TEXMF/{mltex,tex}/{latex,generic,}//
/etc/texmf/texmf.d/45TeXinputs.cnf:TEXINPUTS.elatex   = .;$TEXMF/{etex,tex}/{latex,generic,}//
/etc/texmf/texmf.d/45TeXinputs.cnf:TEXINPUTS.pdfcslatex = .;$TEXMF/{pdftex,tex}/{cslatex,csplain,latex,generic,}//
/etc/texmf/texmf.d/45TeXinputs.cnf:TEXINPUTS.pdflatex = .;$TEXMF/{pdftex,tex}/{latex,generic,}//
/etc/texmf/texmf.d/45TeXinputs.cnf:TEXINPUTS.pdfelatex = .;$TEXMF/{pdfetex,pdftex,etex,tex}/{latex,generic,}//
/etc/texmf/texmf.d/45TeXinputs.cnf:TEXINPUTS.lambda = .;$TEXMF/{omega,tex}/{lambda,latex,generic,}//
/etc/texmf/texmf.d/45TeXinputs.cnf:TEXINPUTS.platex-pl  = .;$TEXMF/tex/{platex,latex,generic,}//
/etc/texmf/texmf.d/45TeXinputs.cnf:TEXINPUTS.pdfplatex = .;$TEXMF/{pdftex,tex}/{platex,latex,generic,}//

> Did you modify your /etc/texmf/texmf.cnf manually?

No.

Just to see what is going to happen I've just purged again my tetex-*
packages.  /etc/texmf/texmf.cnf disappeared and in /etc/texmf/texmf.d
there is only one file - 96JadeTeX.cnf with the following contents:

TEXINPUTS.jadetex = .;$TEXMF/tex/{jadetex,plain,generic,}//
TEXINPUTS.pdfjadetex = .;$TEXMF/{pdftex,tex}/{jadetex,plain,generic,}//

%%
%% jacking up TeX settings for the unique uses of jadetex
%%
hash_extra.jadetex  = 32500
hash_extra.pdfjadetex  = 32500
pool_size.jadetex = 500000
pool_size.pdfjadetex = 500000
string_vacancies.jadetex = 45000
string_vacancies.pdfjadetex = 45000
max_strings.jadetex = 58500
max_strings.pdfjadetex = 58500
pool_free.jadetex = 47500
pool_free.pdfjadetex = 47500
nest_size.jadetex = 500
nest_size.pdfjadetex = 500
param_size.jadetex = 1500
param_size.pdfjadetex = 1500
save_size.jadetex = 5000
save_size.pdfjadetex = 5000
stack_size.jadetex = 1500
stack_size.pdfjadetex = 1500
extra_mem_bot.jadetex = 85000
extra_mem_bot.pdfjadetex = 85000

After "apt-get install tetex-base tetex-bin tetex-extra" latex points
again to etex and is stumied as before.  Here is the log of the install:

# apt-get install tetex-base tetex-bin tetex-extra
Reading Package Lists... Done
Building Dependency Tree... Done
Suggested packages:
  chktex lacheck rubber
The following NEW packages will be installed:
  tetex-base tetex-bin tetex-extra
0 upgraded, 3 newly installed, 0 to remove and 499 not upgraded.
Need to get 0B/28,5MB of archives.
After unpacking 104MB of additional disk space will be used.
Preconfiguring packages ...
Selecting previously deselected package tetex-base.
(Reading database ... 164657 files and directories currently installed.)
Unpacking tetex-base (from .../tetex-base_2.0.2c-8_all.deb) ...
Selecting previously deselected package tetex-bin.
Unpacking tetex-bin (from .../tetex-bin_2.0.2-31_i386.deb) ...
Selecting previously deselected package tetex-extra.
Unpacking tetex-extra (from .../tetex-extra_2.0.2c-8_all.deb) ...
Setting up tetex-base (2.0.2c-8) ...

Creating config file /etc/texmf/mktex.cnf with new version

Creating config file /etc/texmf/dvips/config.builtin35 with new version

Creating config file /etc/texmf/updmap.d/00updmap.cfg with new version

Creating config file /etc/texmf/dvipdfm/config with new version

Creating config file /etc/texdoctk/texdocrc with new version

Setting up tetex-bin (2.0.2-31) ...

Creating config file /etc/texmf/texmf.d/05TeXMF.cnf with new version

Creating config file /etc/texmf/texmf.d/15Plain.cnf with new version

Creating config file /etc/texmf/texmf.d/45TeXinputs.cnf with new version

Creating config file /etc/texmf/texmf.d/55Fonts.cnf with new version

Creating config file /etc/texmf/texmf.d/65BibTeX.cnf with new version

Creating config file /etc/texmf/texmf.d/75DviPS.cnf with new version

Creating config file /etc/texmf/texmf.d/85Misc.cnf with new version

Creating config file /etc/texmf/texmf.d/90TeXDoc.cnf with new version

Creating config file /etc/texmf/texmf.d/95NonPath.cnf with new version
Generating /etc/texmf/texmf.cnf ...
Creating config file /etc/texmf/texmf.cnf with new version
done
Generating /var/lib/texmf/web2c/fmtutil.cnf ... done
Regenerating /var/lib/texmf/web2c/updmap.cfg ... done
Running initex. This may take some time. ...
warning: Could not open char translation file `cp227.tcx'.
warning: Could not open char translation file `cp227.tcx'.
warning: Could not open char translation file `cp227.tcx'.
warning: Could not open char translation file `cp227.tcx'.
warning: Could not open char translation file `cp227.tcx'.
warning: Could not open char translation file `cp227.tcx'.
warning: Could not open char translation file `cp227.tcx'.
warning: Could not open char translation file `cp227.tcx'.
warning: Could not open char translation file `cp227.tcx'.
warning: Could not open char translation file `cp227.tcx'.
warning: Could not open char translation file `cp227.tcx'.
warning: Could not open char translation file `cp227.tcx'.
fmtutil: /var/lib/texmf/web2c/lambda.oft installed.
fmtutil: /var/lib/texmf/web2c/omega.oft installed.
fmtutil: /var/lib/texmf/web2c/amstex.fmt installed.
fmtutil: /var/lib/texmf/web2c/latex.fmt installed.
fmtutil: /var/lib/texmf/web2c/pdflatex.fmt installed.
fmtutil: /var/lib/texmf/web2c/pdftex.fmt installed.
fmtutil: /var/lib/texmf/web2c/tex.fmt installed.
fmtutil: /var/lib/texmf/web2c/amstex.efmt installed.
fmtutil: /var/lib/texmf/web2c/cont-en.efmt installed.
fmtutil: /var/lib/texmf/web2c/elatex.efmt installed.
fmtutil: /var/lib/texmf/web2c/etex.efmt installed.
fmtutil: /var/lib/texmf/web2c/latex.efmt installed.
fmtutil: /var/lib/texmf/web2c/mptopdf.efmt installed.
fmtutil: /var/lib/texmf/web2c/pdfelatex.efmt installed.
fmtutil: /var/lib/texmf/web2c/pdfetex.efmt installed.
fmtutil: /var/lib/texmf/web2c/pdflatex.efmt installed.
fmtutil: /var/lib/texmf/web2c/pdftex.efmt installed.
fmtutil: /var/lib/texmf/web2c/metafun.mem installed.
fmtutil: /var/lib/texmf/web2c/mpost.mem installed.
fmtutil: /var/lib/texmf/web2c/mf.base installed.
Running updmap. This may take some time. ...


If you want to change the default settings,
use /usr/bin/texconfig to configure teTeX.

Fixing permissions and group of ls-R as specified by debconf ...
mode of `/var/lib/texmf/ls-R' changed to 0664 (rw-rw-r--)
mode of `/var/lib/texmf/ls-R-TEXMFMAIN' changed to 0664 (rw-rw-r--)
mode of `/var/cache/fonts/ls-R' changed to 0664 (rw-rw-r--)
changed group of `/var/lib/texmf/ls-R' to users
changed group of `/var/lib/texmf/ls-R-TEXMFMAIN' to users
changed group of `/var/cache/fonts/ls-R' to users

Setting up tetex-extra (2.0.2c-8) ...

Creating config file /etc/texmf/dvips/config.ams with new version

Creating config file /etc/texmf/dvips/config.cm with new version

Creating config file /etc/texmf/dvips/config.amz with new version

Creating config file /etc/texmf/dvips/config.cmz with new version
Running initex. This may take some time. ...
Running updmap. This may take some time. ...


Anton Zinoviev



Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#330078; Package tetex-bin. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at submit@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: Anton Zinoviev <anton@lml.bas.bg>
Cc: 330078@bugs.debian.org, Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#330078: latex points to etex, not to tex
Date: Mon, 26 Sep 2005 14:56:48 +0200
Anton Zinoviev <anton@lml.bas.bg> wrote:

> Package: tetex-bin
> Version: 2.0.2-31
> Severity: important
>
> In order to update my pacage scalable-cyrfonts-tex for teTeX 3 I
> installed the version from experimental.  However tetex-extra is
> missing there

What do you mean with that?  Surely it's on the servers.

> so later I downgraded my packages to the version from
> etch and sid.  When I tried to use latex I got:
>
> $ latex test.tex 
> This is e-TeX, Version 3.14159-2.1 (Web2C 7.4.5)
> (Fatal format file error; I'm stymied)

Downgrades are generally not supported.  You should completely purge the
tetex packages and install on a clean system.

> I don't use latex very often and I don't know whether this was caused
> by installing the packages from experimental.  I purged the packages
> tetex-bin, tetex-base and tetex-extra and then reinstalled them but
> the situation didn't improve.

This is strange.

>  Finally I found that the latex is a
> symlink to etex, I changed it by hands to point to tex and now my
> latex works.

It should be a symlink to etex (in 2.0.2; in 3.0 it's a symlink to
pdfetex), and it should work with that.

> Even if the probem was caused by installing experimental packages,
> purging tetex-* packages had to fix the problem.  Thats why I am
> reporting the bug against the versions from etch and sid.

Have you also purged tex-common?  If not, please purge all four packages
(tetex-* and tex-common) and then install tetex- again.  If you get an
error from the postinst, please report the output and send the temporary
file indicated in it.  If the packages install without an error, but you
still cannot run latex, please send us the output of 

kpsewhich latex.fmt

Regards, Frank
-- 
Frank Küster
Inst. f. Biochemie der Univ. Zürich
Debian Developer




Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#330078; Package tetex-bin. Full text and rfc822 format available.

Acknowledgement sent to Hilmar Preusse <hille42@web.de>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 330078@bugs.debian.org (full text, mbox):

From: Hilmar Preusse <hille42@web.de>
To: Anton Zinoviev <anton@lml.bas.bg>, 330078@bugs.debian.org
Subject: Re: Bug#330078: latex points to etex, not to tex
Date: Mon, 26 Sep 2005 14:52:13 +0200
On 26.09.05 Anton Zinoviev (anton@lml.bas.bg) wrote:
> On Mon, Sep 26, 2005 at 12:13:03PM +0200, Hilmar Preusse wrote:

Hi,

> > What does "grep latex /etc/texmf/texmf.cnf" and
> > "grep latex /etc/texmf/texmf.d" tell you?
> 
> $ grep latex /etc/texmf/texmf.cnf
> 
Sorry, my fault. I was thinking about fmtutil.cnf and
/etc/texmf/fmt.d.

Give us "kpsewhich fmtutil.cnf", "grep latex `kpsewhich fmtutil.cnf`"
and "grep latex /etc/texmf/fmt.d/*".

> Just to see what is going to happen I've just purged again my
> tetex-* packages.  /etc/texmf/texmf.cnf disappeared and in
> /etc/texmf/texmf.d there is only one file - 96JadeTeX.cnf with the
> following contents:
> 
Hmm. jadetex should somehow depend on teTeX. Did you remove that
package?

> fmtutil: /var/lib/texmf/web2c/latex.fmt installed.
> fmtutil: /var/lib/texmf/web2c/latex.efmt installed.
> 
Both formats exists. If you move back the symlink both should work:
  latex inputfile.tex
and
  tex &latex inputfile.tex
. One should call Knuth TeX and the other e-TeX.

H.
-- 
sigmentation fault



Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#330078; Package tetex-bin. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#330078; Package tetex-bin. Full text and rfc822 format available.

Acknowledgement sent to Anton Zinoviev <anton@lml.bas.bg>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 330078@bugs.debian.org (full text, mbox):

From: Anton Zinoviev <anton@lml.bas.bg>
To: Hilmar Preusse <hille42@web.de>
Cc: 330078@bugs.debian.org
Subject: Re: Bug#330078: latex points to etex, not to tex
Date: Mon, 26 Sep 2005 16:45:59 +0300
On Mon, Sep 26, 2005 at 02:52:13PM +0200, Hilmar Preusse wrote:
> 
> Give us "kpsewhich fmtutil.cnf", "grep latex `kpsewhich fmtutil.cnf`"
> and "grep latex /etc/texmf/fmt.d/*".

kpsewhich fmtutil.cnf outputs nothing.

The output of grep latex /var/lib/texmf/web2c/fmtutil.cnf:

# Standard formats (plain, latex) with all engines:
# Change "etex -> tex" and "*latex.ini -> latex.ini" to get back
# the traditional, non-eTeX-2 enabled LaTeX format named latex.
# Analogous changes can be made for pdflatex.
latex		tex		language.dat	latex.ini
latex           etex            language.dat    *latex.ini
elatex		etex		language.dat	*elatex.ini
pdflatex	pdftex		language.dat	pdflatex.ini
pdflatex  pdfetex         language.dat    *pdflatex.ini
pdfelatex	pdfetex		language.dat	*pdfelatex.ini
#! platex		tex		language.dat	platex.ini
#! pdfplatex		pdftex		language.dat	pdfplatex.ini
#! platex-pl	tex		-		nls=tex-pl,il2-pl platex.ini
#! cslatex	tex		-	cslatex.ini
#! pdfcslatex	pdftex		-    cslatex.ini
# Standard formats (plain, latex) with all engines:
latex		pdfetex		language.dat	-translate-file=cp227.tcx *latex.ini
pdflatex	pdfetex		language.dat	-translate-file=cp227.tcx *pdflatex.ini
#! pdfxlatex	pdfxtex		language.dat	-translate-file=cp227.tcx *pdfxlatex.ini
#! platex		pdfetex		language.dat	-translate-file=cp227.tcx *platex.ini
#! pdfplatex		pdfetex		language.dat	-translate-file=cp227.tcx *pdfplatex.ini
#! platex-pl	pdfetex		-		nls=pdfetex-pl,il2-pl *platex.ini
#! cslatex	pdfetex		-	-translate-file=cp227.tcx *cslatex.ini
#! pdfcslatex	pdfetex		-    -translate-file=cp227.tcx *cslatex.ini
jadetex		etex	language.dat	&latex jadetex.ini
pdfjadetex	pdfetex	language.dat	&pdflatex pdfjadetex.ini

The output of rgrep latex /etc/texmf/fmt.d:
/etc/texmf/fmt.d/40jadetex.cnf:jadetex		etex	language.dat	&latex jadetex.ini
/etc/texmf/fmt.d/40jadetex.cnf:pdfjadetex	pdfetex	language.dat	&pdflatex pdfjadetex.ini
/etc/texmf/fmt.d/00tetex.cnf:# Standard formats (plain, latex) with all engines:
/etc/texmf/fmt.d/00tetex.cnf:# Change "etex -> tex" and "*latex.ini -> latex.ini" to get back
/etc/texmf/fmt.d/00tetex.cnf:# the traditional, non-eTeX-2 enabled LaTeX format named latex.
/etc/texmf/fmt.d/00tetex.cnf:# Analogous changes can be made for pdflatex.
/etc/texmf/fmt.d/00tetex.cnf:latex		tex		language.dat	latex.ini
/etc/texmf/fmt.d/00tetex.cnf:latex           etex            language.dat    *latex.ini
/etc/texmf/fmt.d/00tetex.cnf:elatex		etex		language.dat	*elatex.ini
/etc/texmf/fmt.d/00tetex.cnf:pdflatex	pdftex		language.dat	pdflatex.ini
/etc/texmf/fmt.d/00tetex.cnf:pdflatex  pdfetex         language.dat    *pdflatex.ini
/etc/texmf/fmt.d/00tetex.cnf:pdfelatex	pdfetex		language.dat	*pdfelatex.ini
/etc/texmf/fmt.d/00tetex.cnf:#! platex		tex		language.dat	platex.ini
/etc/texmf/fmt.d/00tetex.cnf:#! pdfplatex		pdftex		language.dat	pdfplatex.ini
/etc/texmf/fmt.d/00tetex.cnf:#! platex-pl	tex		-		nls=tex-pl,il2-pl platex.ini
/etc/texmf/fmt.d/00tetex.cnf:#! cslatex	tex		-	cslatex.ini
/etc/texmf/fmt.d/00tetex.cnf:#! pdfcslatex	pdftex		-    cslatex.ini
/etc/texmf/fmt.d/01tetex.cnf:# Standard formats (plain, latex) with all engines:
/etc/texmf/fmt.d/01tetex.cnf:latex		pdfetex		language.dat	-translate-file=cp227.tcx *latex.ini
/etc/texmf/fmt.d/01tetex.cnf:pdflatex	pdfetex		language.dat	-translate-file=cp227.tcx *pdflatex.ini
/etc/texmf/fmt.d/01tetex.cnf:#! pdfxlatex	pdfxtex		language.dat	-translate-file=cp227.tcx *pdfxlatex.ini
/etc/texmf/fmt.d/01tetex.cnf:#! platex		pdfetex		language.dat	-translate-file=cp227.tcx *platex.ini
/etc/texmf/fmt.d/01tetex.cnf:#! pdfplatex		pdfetex		language.dat	-translate-file=cp227.tcx *pdfplatex.ini
/etc/texmf/fmt.d/01tetex.cnf:#! platex-pl	pdfetex		-		nls=pdfetex-pl,il2-pl *platex.ini
/etc/texmf/fmt.d/01tetex.cnf:#! cslatex	pdfetex		-	-translate-file=cp227.tcx *cslatex.ini
/etc/texmf/fmt.d/01tetex.cnf:#! pdfcslatex	pdfetex		-    -translate-file=cp227.tcx *cslatex.ini

> Hmm. jadetex should somehow depend on teTeX. Did you remove that
> package?

I think it was removed when I installed the packages from
experimental.  Now it is removed but not purged so its configuration
files are there.

> > fmtutil: /var/lib/texmf/web2c/latex.fmt installed.
> > fmtutil: /var/lib/texmf/web2c/latex.efmt installed.
> > 
> Both formats exists. If you move back the symlink both should work:
>   latex inputfile.tex
> and
>   tex &latex inputfile.tex
> . One should call Knuth TeX and the other e-TeX.

The second works but the first still is giving "Fatal format file
error; I'm stymied".

Anton Zinoviev



Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#330078; Package tetex-bin. Full text and rfc822 format available.

Acknowledgement sent to Anton Zinoviev <anton@lml.bas.bg>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #40 received at 330078@bugs.debian.org (full text, mbox):

From: Anton Zinoviev <anton@lml.bas.bg>
To: Frank Kьster <frank@debian.org>
Cc: 330078@bugs.debian.org
Subject: Re: Bug#330078: latex points to etex, not to tex
Date: Mon, 26 Sep 2005 19:00:22 +0300
On Mon, Sep 26, 2005 at 02:56:48PM +0200, Frank Kьster wrote:
> 
> > In order to update my pacage scalable-cyrfonts-tex for teTeX 3 I
> > installed the version from experimental.  However tetex-extra is
> > missing there
> 
> What do you mean with that?  Surely it's on the servers.

I guess I have forgotten to give /experimental to apt-get...

> Have you also purged tex-common? 

No, tex-common was only removed.

However now I purged tex-common, jadetex, tetex-base, tetex-bin and
tetex-extra, reinstalled the last three packages and latex is still
not functioning. :-(

> If not, please purge all four packages (tetex-* and tex-common) and
> then install tetex- again.  If you get an error from the postinst,
> please report the output and send the temporary file indicated in
> it.  If the packages install without an error, but you still cannot
> run latex, please send us the output of
> 
> kpsewhich latex.fmt

There was no error.  "kpsewhich latex.fmt" outputs
/var/lib/texmf/web2c/latex.fmt.

Anton Zinoviev



Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#330078; Package tetex-bin. Full text and rfc822 format available.

Acknowledgement sent to Hilmar Preusse <hille42@web.de>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #45 received at 330078@bugs.debian.org (full text, mbox):

From: Hilmar Preusse <hille42@web.de>
To: Anton Zinoviev <anton@lml.bas.bg>, 330078@bugs.debian.org
Subject: Re: Bug#330078: latex points to etex, not to tex
Date: Mon, 26 Sep 2005 18:40:08 +0200
On 26.09.05 Anton Zinoviev (anton@lml.bas.bg) wrote:

Hi,

> # Standard formats (plain, latex) with all engines:
> latex		pdfetex		language.dat	-translate-file=cp227.tcx *latex.ini
> pdflatex	pdfetex		language.dat	-translate-file=cp227.tcx *pdflatex.ini
> 
These entries should not be contained in a fmtutil.cnf of an teTeX
2.0.2 system.

> /etc/texmf/fmt.d/00tetex.cnf:latex		tex		language.dat	latex.ini
> /etc/texmf/fmt.d/00tetex.cnf:latex           etex            language.dat    *latex.ini
> /etc/texmf/fmt.d/00tetex.cnf:elatex		etex		language.dat	*elatex.ini
> /etc/texmf/fmt.d/00tetex.cnf:pdflatex	pdftex		language.dat	pdflatex.ini
> /etc/texmf/fmt.d/00tetex.cnf:pdflatex  pdfetex         language.dat    *pdflatex.ini
> /etc/texmf/fmt.d/00tetex.cnf:pdfelatex	pdfetex		language.dat	*pdfelatex.ini
> 
That is what I expect and what is OK.

> /etc/texmf/fmt.d/01tetex.cnf:latex		pdfetex		language.dat	-translate-file=cp227.tcx *latex.ini
> /etc/texmf/fmt.d/01tetex.cnf:pdflatex	pdfetex		language.dat	-translate-file=cp227.tcx *pdflatex.ini
> 
These seem to be some residuals from your teTeX 3.0 installation,
which were not removed for any reason.
Fix for now should be: remove /etc/texmf/fmt.d/00tetex.cnf, call
update-fmtutil and fmtutil --all . Did you remove or purge teTeX 3.0
before downgrading to teTeX 2.0.2?

H.
-- 
sigmentation fault



Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#330078; Package tetex-bin. Full text and rfc822 format available.

Acknowledgement sent to Anton Zinoviev <anton@lml.bas.bg>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #50 received at 330078@bugs.debian.org (full text, mbox):

From: Anton Zinoviev <anton@lml.bas.bg>
To: Hilmar Preusse <hille42@web.de>
Cc: 330078@bugs.debian.org
Subject: Re: Bug#330078: latex points to etex, not to tex
Date: Mon, 26 Sep 2005 20:24:38 +0300
On Mon, Sep 26, 2005 at 06:40:08PM +0200, Hilmar Preusse wrote:
> These seem to be some residuals from your teTeX 3.0 installation,
> which were not removed for any reason.
> Fix for now should be: remove /etc/texmf/fmt.d/00tetex.cnf, call
> update-fmtutil and fmtutil --all .

I guess you mean 01tetex.cnf.  I removed it and now my latex works. :-)

> Did you remove or purge teTeX 3.0 before downgrading to teTeX 2.0.2?

I simply did apt-get install tetex-base/testing tetex-bin/testing
tetex-extra/testing

Thanks.

Do you think that this bug is due to misbehaviour of dpkg?  True,
01tetex.cnf is a configuration file, but I hadn't edited it so it had
to be removed during the downgrading.

Anton Zinoviev



Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#330078; Package tetex-bin. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #55 received at 330078@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: Anton Zinoviev <anton@lml.bas.bg>
Cc: 330078@bugs.debian.org, Hilmar Preusse <hille42@web.de>
Subject: Re: Bug#330078: latex points to etex, not to tex
Date: Mon, 26 Sep 2005 20:43:38 +0200
Anton Zinoviev <anton@lml.bas.bg> wrote:

> Do you think that this bug is due to misbehaviour of dpkg?  True,
> 01tetex.cnf is a configuration file, but I hadn't edited it so it had
> to be removed during the downgrading.

No, dpkg won't remove unused configuration files upon upgrading, and it
won't do so upon downgrading, either.  For the upgrading case, the
maintainer scripts has to take care - rename the file in preinst, take
over settings, moving out of the way or whatever.  For the downgrading
case, we don't provide any support.

dpkg will *only* remove a file when the package is purged.

Regards, Frank
-- 
Frank Küster
Inst. f. Biochemie der Univ. Zürich
Debian Developer




Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#330078; Package tetex-bin. Full text and rfc822 format available.

Acknowledgement sent to Anton Zinoviev <anton@lml.bas.bg>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #60 received at 330078@bugs.debian.org (full text, mbox):

From: Anton Zinoviev <anton@lml.bas.bg>
To: Frank Kьster <frank@debian.org>
Cc: 330078@bugs.debian.org, Hilmar Preusse <hille42@web.de>
Subject: Re: Bug#330078: latex points to etex, not to tex
Date: Mon, 26 Sep 2005 21:53:56 +0300
On Mon, Sep 26, 2005 at 08:43:38PM +0200, Frank Kьster wrote:
> Anton Zinoviev <anton@lml.bas.bg> wrote:
> 
> > Do you think that this bug is due to misbehaviour of dpkg?  True,
> > 01tetex.cnf is a configuration file, but I hadn't edited it so it had
> > to be removed during the downgrading.
> 
> No, dpkg won't remove unused configuration files upon upgrading, and it
> won't do so upon downgrading, either.  For the upgrading case, the
> maintainer scripts has to take care - rename the file in preinst, take
> over settings, moving out of the way or whatever.  For the downgrading
> case, we don't provide any support.
> 
> dpkg will *only* remove a file when the package is purged.

Yes.  My point was that the file was not changed by the user so
keeping it is evil.  If dpkg doesn't ask me for a permission to change
the contents of an unchanged conffile then it logical to also remove
it when it does not exist in the upgraded/downgraded package any more.

Anton Zinoviev



Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#330078; Package tetex-bin. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #65 received at 330078@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: Anton Zinoviev <anton@lml.bas.bg>
Cc: 330078@bugs.debian.org, Hilmar Preusse <hille42@web.de>
Subject: Re: Bug#330078: latex points to etex, not to tex
Date: Mon, 26 Sep 2005 21:13:40 +0200
Anton Zinoviev <anton@lml.bas.bg> wrote:

> On Mon, Sep 26, 2005 at 08:43:38PM +0200, Frank K.ster wrote:
>> Anton Zinoviev <anton@lml.bas.bg> wrote:
>> 
>> > Do you think that this bug is due to misbehaviour of dpkg?  True,
>> > 01tetex.cnf is a configuration file, but I hadn't edited it so it had
>> > to be removed during the downgrading.
>> 
>> No, dpkg won't remove unused configuration files upon upgrading, and it
>> won't do so upon downgrading, either.  For the upgrading case, the
>> maintainer scripts has to take care - rename the file in preinst, take
>> over settings, moving out of the way or whatever.  For the downgrading
>> case, we don't provide any support.
>> 
>> dpkg will *only* remove a file when the package is purged.
>
> Yes.  My point was that the file was not changed by the user so
> keeping it is evil.  If dpkg doesn't ask me for a permission to change
> the contents of an unchanged conffile then it logical to also remove
> it when it does not exist in the upgraded/downgraded package any more.

No, it isn't.  Everything is designed from the point of view of an
upgrade, and in this case "preserving local changes" of course must
include *not* to remove an unused conffile.  It might contain important
work of the local administrator.  

In case the maintainer knows that the presence of the old conffile would
be harmful, he has to do something about it (like moving it out of the
way), but he may still not silently delete it.

In case of a downgrade, this could in principle be done.  But supporting
downgrades would increase both the work for maintainers and the
complexity of maintainer scripts by an insane amount, and is therefore
not supported.  People who try unstable or even experimental packages
are expected to be able to perform a downgrade manually.

For example, you can purge nearly any package (unless it's essential, I
think) with --force-depends if you install the working, older version
immediately afterwards.

So essentially there is no bug, and there never was one.  You just
expect too much from us.

Regards, Frank
-- 
Frank Küster
Inst. f. Biochemie der Univ. Zürich
Debian Developer




Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#330078; Package tetex-bin. Full text and rfc822 format available.

Acknowledgement sent to Anton Zinoviev <anton@lml.bas.bg>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #70 received at 330078@bugs.debian.org (full text, mbox):

From: Anton Zinoviev <anton@lml.bas.bg>
To: Frank Küster <frank@kuesterei.ch>
Cc: 330078@bugs.debian.org, Hilmar Preusse <hille42@web.de>
Subject: Re: Bug#330078: latex points to etex, not to tex
Date: Mon, 26 Sep 2005 22:34:56 +0300
On Mon, Sep 26, 2005 at 09:13:40PM +0200, Frank Küster wrote:
> 
> No, it isn't.  Everything is designed from the point of view of an
> upgrade, and in this case "preserving local changes" of course must
> include *not* to remove an unused conffile.  It might contain important
> work of the local administrator.  

Thanks for the explanation but I had in mind only unchanged conffiles
(unchanged by the local administrator).  At present when I have
changed some conffile, dpkg asks me whether to replace it with a new
version.  And when the conffile is unchanged dpkg replaces it without
asking.  The problem is that dpkg does this only when the contents of
the file changes and not when the file does not exist in the new
package version any more.  In my opinion the proper behaviour of dpkg
is as follows:

IF conffile does not exist any more THEN
   IF the conffile is changed by local admin THEN
      ask what to do: remove, preserve or move/rename
   ELSE
      remove the file
   END
END

Anton Zinoviev




Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#330078; Package tetex-bin. Full text and rfc822 format available.

Acknowledgement sent to Julian Gilbey <jdg@polya.uklinux.net>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #75 received at 330078@bugs.debian.org (full text, mbox):

From: Julian Gilbey <jdg@polya.uklinux.net>
To: Anton Zinoviev <anton@lml.bas.bg>, 330078@bugs.debian.org
Cc: Frank K??ster <frank@kuesterei.ch>, Hilmar Preusse <hille42@web.de>, control@bugs.debian.org, dpkg@packages.debian.org
Subject: Re: Bug#330078: latex points to etex, not to tex
Date: Tue, 27 Sep 2005 01:52:53 +0100
clone 330078 -1
reassign -1 dpkg
retitle -1 dpkg: should offer to delete conffiles which do not exist in upgraded package
thanks

On Mon, Sep 26, 2005 at 10:34:56PM +0300, Anton Zinoviev wrote:
> Thanks for the explanation but I had in mind only unchanged conffiles
> (unchanged by the local administrator).  At present when I have
> changed some conffile, dpkg asks me whether to replace it with a new
> version.  And when the conffile is unchanged dpkg replaces it without
> asking.  The problem is that dpkg does this only when the contents of
> the file changes and not when the file does not exist in the new
> package version any more.  In my opinion the proper behaviour of dpkg
> is as follows:
> 
> IF conffile does not exist any more THEN
>    IF the conffile is changed by local admin THEN
>       ask what to do: remove, preserve or move/rename
>    ELSE
>       remove the file
>    END
> END

Cloning this as a bug against dpkg: this is clearly beyond the domain
of the tetex packages themselves.

   Julian



Bug 330078 cloned as bug 330256. Request was from Julian Gilbey <jdg@polya.uklinux.net> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `tetex-bin' to `dpkg'. Request was from Julian Gilbey <jdg@polya.uklinux.net> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Julian Gilbey <jdg@polya.uklinux.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <team@dpkg.org>:
Bug#330256; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ian@davenant.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <team@dpkg.org>. Full text and rfc822 format available.

Message #86 received at 330256@bugs.debian.org (full text, mbox):

From: Ian Jackson <ian@davenant.greenend.org.uk>
To: 330256@bugs.debian.org, 330256-submitter@bugs.debian.org
Subject: obsolescent conffile handling
Date: Tue, 30 Oct 2007 22:12:58 +0000
severity 330256 normal
retitle 330256 delete obsolescent not-locally-changed conffiles
thanks

I'm inclined to agree with Anton Zinoviev's view.  However, I don't
think this change should be made without more careful consideration as
it's a substantial and possibly destructive change to the existing
behaviour.

Note that the same rule should apply on reinstallation of a removed
but not purged package.  This would result in the perhaps
counterintuitive behaviour that installating a package which had
previously been removed would cause a file to disappear.

I think we should have a discussion (on debian-devel?) about this.
In the meantime this is not a very critical bug so I have adjusted the
severity.

Ian.




Severity set to `normal' from `important' Request was from Ian Jackson <ian@davenant.greenend.org.uk> to control@bugs.debian.org. (Tue, 30 Oct 2007 22:15:04 GMT) Full text and rfc822 format available.

Changed Bug title to `delete obsolescent not-locally-changed conffiles' from `dpkg: should offer to delete conffiles which do not exist in upgraded package'. Request was from Ian Jackson <ian@davenant.greenend.org.uk> to control@bugs.debian.org. (Tue, 30 Oct 2007 22:15:04 GMT) Full text and rfc822 format available.

Message sent on to Anton Zinoviev <anton@lml.bas.bg>:
Bug#330256. Full text and rfc822 format available.

Forcibly Merged 330256 454628. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Fri, 18 Jan 2008 06:30:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <team@dpkg.org>:
Bug#330256; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <team@dpkg.org>. Full text and rfc822 format available.

Message #100 received at 330256@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: 330256@bugs.debian.org, 454628@bugs.debian.org
Cc: Guillem Jover <guillem@debian.org>
Subject: Re: Processed: forcibly merging 330256 454628
Date: Fri, 18 Jan 2008 09:05:20 +0100
On Fri, 18 Jan 2008, Debian Bug Tracking System wrote:
> Processing commands for control@bugs.debian.org:
> 
> > # Automatically generated email from bts, devscripts version 2.10.13
> > forcemerge 330256 454628
> Bug#330256: delete obsolescent not-locally-changed conffiles
> Bug#454628: obsolete conffiles are not deleted on purge
> Forcibly Merged 330256 454628.

Note that while both are probably tightly related, they are not exactly
the same problem. The first is speaking of removing conffiles on upgrade
when they would be marked obsolete if the conffile is unmodified... and
the second speaks of removing those obsolete files (modified or unmodified
doesn't matter here, though if the first is fixed, we would only have
modified files here) on purge.

Cheers,
-- 
Raphaël Hertzog

Le best-seller français mis à jour pour Debian Etch :
http://www.ouaza.com/livre/admin-debian/




Added tag(s) unreproducible. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Wed, 05 Aug 2009 12:24:06 GMT) Full text and rfc822 format available.

Removed tag(s) unreproducible. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Tue, 08 Sep 2009 04:36:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#330256; Package dpkg. (Tue, 08 Sep 2009 04:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Tue, 08 Sep 2009 04:39:03 GMT) Full text and rfc822 format available.

Message #109 received at 330256@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Raphael Hertzog <hertzog@debian.org>, 454628@bugs.debian.org
Cc: 330256@bugs.debian.org
Subject: Re: Bug#454628: Processed: forcibly merging 330256 454628
Date: Tue, 8 Sep 2009 06:31:14 +0200
unmerge 454628
thanks

Hi!

On Fri, 2008-01-18 at 09:05:20 +0100, Raphael Hertzog wrote:
> On Fri, 18 Jan 2008, Debian Bug Tracking System wrote:
> > Processing commands for control@bugs.debian.org:
> > 
> > > # Automatically generated email from bts, devscripts version 2.10.13
> > > forcemerge 330256 454628
> > Bug#330256: delete obsolescent not-locally-changed conffiles
> > Bug#454628: obsolete conffiles are not deleted on purge
> > Forcibly Merged 330256 454628.
> 
> Note that while both are probably tightly related, they are not exactly
> the same problem. The first is speaking of removing conffiles on upgrade
> when they would be marked obsolete if the conffile is unmodified... and
> the second speaks of removing those obsolete files (modified or unmodified
> doesn't matter here, though if the first is fixed, we would only have
> modified files here) on purge.

Ah yeah, agreed. I guess I had in mind the first part of the bug
report when merging them. Fixing now.

thanks,
guillem




Disconnected #454628 from all other report(s). Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Tue, 08 Sep 2009 04:39:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:37:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.